package com.fs.watch.service;

import com.fs.common.core.domain.AjaxResult;
import com.fs.watch.domain.*;
import com.fs.watch.domain.vo.AlarmClockVos;

import javax.servlet.http.HttpServletRequest;

public interface DeviceSetUpService {
    Boolean userinfo(UserInfo userInfo);

    Boolean setDeviceUserInfo(UserInfo userInfo);

    Boolean realtimeLocation(String deviceNumber);

    Boolean datasync(String deviceNumber);

    Integer status(String deviceNumber);

    Boolean fallcheck(String deviceNumber, Boolean flag);

    Boolean autolocate(String deviceNumber, Boolean flag, Integer time, Integer mode);

    AjaxResult phonebook(PhoneBooks phoneBooks);

    Boolean phonebookClear(String deviceNumber);

    Boolean datafreq(String deviceNumber, Boolean flag, Integer time, Integer mode);

    Boolean lcdgesture(String deviceNumber, Boolean flag, Integer start, Integer end);

    Boolean hralarm(HrWarnSetting hrWarnSetting);

    Boolean spo2alarm(Spo2WarnSetting spo2WarnSetting);

    Boolean bpalarm(BpWarnSetting bpWarnSetting);

    Boolean temperature(String deviceNumber, Boolean flag, Integer high, Integer low);

    Boolean autoaf(String deviceNumber, Boolean flag, Integer interval, Boolean rriSingleTime);

    AjaxResult clockalarm(AlarmClockVos alarmClockVos);

    Boolean clockalarmClear(String deviceNumber);

    Boolean sedentary(Sedentaries sedentaries);

    Boolean sedentaryClear(String deviceNumber);

    Boolean goal(TargetSetting targetSetting);

    Boolean reset(String deviceNumber);

    Boolean language(LanguageSetting languageSetting);

    AjaxResult message(String deviceNumber, String title, String description, String type, Integer operatorType,Long userId,String detailsType);

    Boolean sensitivity(String deviceNumber, Integer fallThreshold);

    Boolean measureInterval(String deviceNumber, Integer interval);

    Boolean other(String deviceNumber, Integer interval);

//    DeviceUserInfo getuserinfo(String deviceId);

    Boolean gpsLocate(String deviceNumber, Boolean gpsAutoCheck, Integer gpsIntervalTime, Boolean runGps);

    Boolean timeFormat (String deviceNumber,Integer format);

    Boolean dateFormat (String deviceNumber,Integer format);

    Boolean distanceUnit (String deviceNumber,Integer unit);

    Boolean temperatureUnit (String deviceNumber,Integer unit);

    DeviceUserInfo getUserinfo(String deviceId);
}
